# Uses of Interface
org.picocontainer.PicoVisitor

Packages that use PicoVisitor
Package
Description
org.picocontainer
This package contains the core API for PicoContainer, a compact container for working with the dependency injection pattern.
org.picocontainer.adapters
org.picocontainer.behaviors
BehaviorFactories make Behaviors which change aspects of component implementations and instances
org.picocontainer.containers
Containers are the main user entry point for PicoContainer.
org.picocontainer.injectors
InjectionFactories make Injectors which implement specific types of dependency injection
org.picocontainer.parameters
org.picocontainer.visitors

## Uses of PicoVisitor in org.picocontainer

Methods in org.picocontainer with parameters of type PicoVisitor
Modifier and Type
Method
Description
`void`
ComponentAdapter.`accept(PicoVisitor visitor)`
Accepts a visitor for this ComponentAdapter.
`void`
ComponentFactory.`accept(PicoVisitor visitor)`
Accepts a visitor for this ComponentFactory.
`void`
DefaultPicoContainer.`accept(PicoVisitor visitor)`
`void`
DefaultPicoContainer.KnowsContainerAdapter.`accept(PicoVisitor visitor)`
`void`
Parameter.`accept(PicoVisitor visitor)`
Accepts a visitor for this Parameter.
`void`
PicoContainer.`accept(PicoVisitor visitor)`
Accepts a visitor that should visit the child containers, component adapters and component instances.

## Uses of PicoVisitor in org.picocontainer.adapters

Methods in org.picocontainer.adapters with parameters of type PicoVisitor
Modifier and Type
Method
Description
`void`
AbstractAdapter.`accept(PicoVisitor visitor)`

## Uses of PicoVisitor in org.picocontainer.behaviors

Methods in org.picocontainer.behaviors with parameters of type PicoVisitor
Modifier and Type
Method
Description
`void`
AbstractBehavior.`accept(PicoVisitor visitor)`
`void`
AbstractBehaviorFactory.`accept(PicoVisitor visitor)`
`void`
AdaptingBehavior.`accept(PicoVisitor visitor)`

## Uses of PicoVisitor in org.picocontainer.containers

Methods in org.picocontainer.containers with parameters of type PicoVisitor
Modifier and Type
Method
Description
`final void`
AbstractDelegatingPicoContainer.`accept(PicoVisitor visitor)`
`void`
CompositePicoContainer.`accept(PicoVisitor visitor)`
`void`
EmptyPicoContainer.`accept(PicoVisitor visitor)`
we do not have anything to do here.
`final void`
ImmutablePicoContainer.`accept(PicoVisitor visitor)`

## Uses of PicoVisitor in org.picocontainer.injectors

Methods in org.picocontainer.injectors with parameters of type PicoVisitor
Modifier and Type
Method
Description
`final void`
AbstractInjectionFactory.`accept(PicoVisitor visitor)`
`void`
AbstractInjector.`accept(PicoVisitor visitor)`
`final void`
CompositeInjector.`accept(PicoVisitor visitor)`
`void`
FactoryInjector.`accept(PicoVisitor visitor)`
`void`
ProviderAdapter.`accept(PicoVisitor visitor)`

## Uses of PicoVisitor in org.picocontainer.parameters

Methods in org.picocontainer.parameters with parameters of type PicoVisitor
Modifier and Type
Method
Description
`void`
BasicComponentParameter.`accept(PicoVisitor visitor)`
Visit the current `Parameter`.
`void`
CollectionComponentParameter.`accept(PicoVisitor visitor)`
Visit the current `Parameter`.
`void`
ComponentParameter.`accept(PicoVisitor visitor)`
Accept the visitor for the current `Parameter`.
`void`
ConstantParameter.`accept(PicoVisitor visitor)`
Visit the current `Parameter`.
`void`
DefaultConstructorParameter.`accept(PicoVisitor visitor)`
No instantiation
`void`
NullParameter.`accept(PicoVisitor visitor)`
Accepts a visitor for this Parameter.

## Uses of PicoVisitor in org.picocontainer.visitors

Classes in org.picocontainer.visitors that implement PicoVisitor
Modifier and Type
Class
Description
`class`
`AbstractPicoVisitor`
Abstract PicoVisitor implementation.
`class`
`MethodCallingVisitor`
A PicoVisitor implementation, that calls methods on the components of a specific type.
`class`
`TraversalCheckingVisitor`
Concrete implementation of Visitor which simply checks traversals.
`class`
`VerifyingVisitor`
Visitor to verify `PicoContainer` instances.
Constructors in org.picocontainer.visitors with parameters of type PicoVisitor
Modifier
Constructor
Description
``
`PicoVisitorTraversalException(PicoVisitor visitor)`
Construct the PicoVisitorTraversalException.